classification
Title: Reference leaks in test_curses
Type: resource usage Stage: resolved
Components: Extension Modules, Tests Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: berker.peksag, python-dev, serhiy.storchaka, twouters
Priority: normal Keywords: patch

Created on 2015-11-27 18:04 by serhiy.storchaka, last changed 2016-05-08 21:15 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
curses_panel_dealloc_userptr.patch serhiy.storchaka, 2016-05-06 12:14 review
Messages (5)
msg255470 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-11-27 18:04
$ ./python -m test.regrtest -uall -R 3:3 test_curses
[1/1] test_curses
beginning 6 repetitions
123456
.
test_curses leaked [2, 2, 2] references, sum=6
test_curses leaked [0, 1, 2] memory blocks, sum=3
1 test failed:
    test_curses
msg264964 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-05-06 11:27
In case someone wants to work on this, the suspicious tests are test_userptr_memory_leak and test_userptr_segfault. See also issue 18113.
msg264967 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-05-06 12:00
Thank you for the tip Berker. Now I see how to fix the leak.
msg264970 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-05-06 12:14
Here is simple patch that fixes a leak.
msg265169 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-05-08 21:14
New changeset afed12943ddd by Serhiy Storchaka in branch '3.5':
Issue #25745: Fixed leaking a userptr in curses panel destructor.
https://hg.python.org/cpython/rev/afed12943ddd

New changeset 1662b41e1663 by Serhiy Storchaka in branch '2.7':
Issue #25745: Fixed leaking a userptr in curses panel destructor.
https://hg.python.org/cpython/rev/1662b41e1663

New changeset 50a94e1cabe0 by Serhiy Storchaka in branch 'default':
Issue #25745: Fixed leaking a userptr in curses panel destructor.
https://hg.python.org/cpython/rev/50a94e1cabe0
History
Date User Action Args
2016-05-08 21:15:22serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2016-05-08 21:14:49python-devsetnosy: + python-dev
messages: + msg265169
2016-05-06 12:14:36serhiy.storchakasetfiles: + curses_panel_dealloc_userptr.patch
keywords: + patch
messages: + msg264970

stage: needs patch -> patch review
2016-05-06 12:00:48serhiy.storchakasetassignee: serhiy.storchaka
messages: + msg264967
2016-05-06 11:27:02berker.peksagsetversions: + Python 3.5
nosy: + berker.peksag

messages: + msg264964

stage: needs patch
2015-11-27 18:04:42serhiy.storchakacreate